Jump to content


Photo

List of K1R Compatible Mods.


  • Please log in to reply
85 replies to this topic

#1 ZM90

ZM90

    Jedi Master

  • Moderators
  • 591 posts
  • LocationThe Floating City of Alcamoth

Posted 02 July 2015 - 06:21 AM

Here is a list of mods that are currently compatible with K1R.  If you know a mod is compatible with K1R then tell me and I will add it to the list.

 

These are the ones confirmed to be compatible thus far.  If I have missed any please let me know and I shall add it to the list.  Thanks.

 

Edit by Fair Strides:

In an effort to arrange for a decent layout without being able to reserve posts immediately after this post (since we didn't get on the ball when ZM made the thread), I'm implementing some formatting here...

 

Thus, everything past this point is my (Fair Strides) fault, so blame me... :P

 

Compatible Mods (with categories):

 

Content:

Bastila on Korriban - K1R Version 1.0 by Fair Strides

Party on the Leviathan! 1.0 by Fair Strides

Vulkar Coward Redux 1.0 by Fair Strides

Malak's Unique Apprentices 1.0 by Kexikus

Duel Room Final 1.0 by aneeryrlue

Rece's Upgradable Vanilla Robes by Rece

Rece's Elemental Robes by Rece

Rece's K1 Lightsaber Mod by Rece

Ajunta Pall's Swords Revamped by Rece

KotOR 1 10 New Robes by Rece

Canon Galaxy Map for KotOR 1 by Kexikus

Sandpeople Disguise Drop Fix by Kexikus

Proper Manaan Quest Endings by Kexikus

Sithspecter's Boba Fett 1.0 by Sithspecter

Energy shield Damage Fix 1.0 by R2-X2

Force Dustil 1.0 by forgetcanon

Mandalorian Battle Blades 2.0 by Darth InSidious

Cipher Gear 1.0 by darkbirdie

Movie Robe Reskin 2.1 by Squall Lionhart

Saul Karath Enhancement 1.0 by TheImpAdmiral

Bearded PMHC01 Head Replacement 1.0 by inyriforge

N7 Valiant 1.0 by inyriforge

Health Regeneration by MVacc224

Classes, Feats, Powers, and Skills Tweak by MVacc224

War Torn Mullet Man 2.0 by ZimmMaster

Teta's Royal Band Restored by Darth InSidious

Revan's Jedi Robes 2.0 by ZimmMaster

Halo Energy Sword 1.0 by Darth InSidious

Lightsaber and Force Forms 1.0 by Darth InSidious

Remove Force Power Restrictions on Armor by MrPhil

 

Texture:

KotOR 1 Clothing Texture Enhancement by Rece

Yuthura Sith Eyes with Lightside Transition by Kexikus

High Quality Starfields and Nebulas by Kexikus

Green Pazaak Base Cards for K1 by Kexikus

Darth Malak - Herald of Darkness 1.1 by Kainzorus Prime

Endar Spire Complete Overhaul 1.0 by  Jorak Uln

Natural PFHA04 Reskin 1.0 by honeybeenectarine

Saber Colors Overhaul animated - SWTOR Edition 1.0 by Jorak Uln

No Dark Side Transitions 1.0 by R2-X2

Advanced Wardroid 1.0 by Xedii/Xarwars

Malak - Path of Corruption 1.0 by Kainzorus Prime

 

Incompatible Mods (with reasons):

Bendak Bounty and Emblem Armor Compatibility Patch by Klexikus

  - This is merely a patch between two mods, neither of which is currently confirmed to be compatible with K1R, so I'm erring on the side of safety.

 

Sonic Screwdriver 1.0 by Darth InSidious

  - Modifies dan13_crattis.dlg, AKA Crattis Yukal's dialog.

 

Quanon's Saberhilt Pack by Quanon

  - Confirmed to conflict with Jolee in the Upper Shadowlands. The mod replaces his dlg file, which both undoes the effects of K1R and screws up how it operates in the module. (Thanks to scoutception for finding this the hard way... :D)

 

Questionable Mods (with reasons):

Scoundrel Trousers by darkbirdie

  - Because it undoes the fix to the back seam that K1R's Scoundrel texture fixes in the female version.

 

KOTOR Bug Fix Attempt 1.0 by danii-ch

  - Some things K1R already does, like Calo's soundset and I believe the Bastila Romance Fix, but I'm not sure how the rest is implemented...


Edited by Fair Strides, 17 August 2015 - 05:25 PM.


#2 Rece

Rece

    Jedi Knight

  • Members
  • PipPipPipPip
  • 317 posts
  • LocationCalifornia

Posted 02 July 2015 - 08:20 AM

All of my mods should be compatible with K1R so yeah.

"Awful Singing by Sith Holocron" (I thought that was funny)

 

I play games on a Mac.

Consider subscribing to my YouTube Channel :D

Check out my YouTube channel! I do gameplays on Star Wars games! I do mod reviews, tutorials, and even show updates for my own mods!

https://www.youtube....0HfwtUblmhSIpyQ

blEORqr.jpg


#3 ZM90

ZM90

    Jedi Master

  • Moderators
  • 591 posts
  • LocationThe Floating City of Alcamoth

Posted 02 July 2015 - 11:32 AM

All of my mods should be compatible with K1R so yeah.

 

Added them to the list.



#4 Kexikus

Kexikus

    Jedi Master

  • Members
  • PipPipPipPipPip
  • 1,317 posts

Posted 02 July 2015 - 04:55 PM

All my other mods (excluding the Bendak Compability Patch as I don't know about the two mods it needs) should be K1R compatible as well. I haven't actually tested them but they have no file conflicts and are all pretty minor so I don't see any other issues that could arise.

Here's the list:

 

Canon Galaxy Map for KotOR 1

Sandpeople Disguise Drop Fix

Yuthura Sith Eyes with Lightside Transition

Proper Manaan Quest Endings

 

And if you want to include texture mods too:

 

High Quality Starfields and Nebulas

Green Pazaak Base Cards for K1



#5 134340Goat

134340Goat

    Jedi Master

  • Members
  • PipPipPipPipPip
  • 436 posts

Posted 02 July 2015 - 07:10 PM

This skin for Malak, which I pretty much always use, is compatible http://deadlystream....ld-of-darkness/



#6 RevanFan

RevanFan

    Jedi Apprentice

  • Members
  • PipPip
  • 56 posts

Posted 04 July 2015 - 02:18 AM

I have a suggestion (that you obviously do not need to take action on if you don't feel it's necessary.) I'd appreciate the mod compatibility list having clickable links for all of the listed mods. Again, it's only a suggestion and you need not heed it if you don't feel it's necessary.

 

I am using three mods that I am not certain are compatible. They are the No Force Restrictions mod, the Sherruk Attacks With Lightsabers mod, and the K1 Force Pack mod. I will be using them when I install the game on Steam soon, and I will test them while I'm playing. If they are compatible, I will let you know.



#7 exocron

exocron

    Jedi Apprentice

  • Members
  • PipPip
  • 17 posts

Posted 04 July 2015 - 06:39 PM

Yes, add click-able links. This thread is nice, but it's more of a pain in the ass to have to use the search function to try to figure where the mods are located, most of the time I've noticed the search function doesn't even return any results after copy and pasting the exact string/name of what you put in the thread, so please, for the sake of simplicity, make the mods linked.

 

Admin Note: Clickable links added.  It's now up to ZM90 or Fair Strides to add any additional links. PM him if you don't see that happening.



#8 DombuAvros

DombuAvros

    Jedi Initiate

  • Members
  • Pip
  • 1 posts

Posted 05 July 2015 - 04:34 AM

Is this mod compatible with K1R? It would be awesome if it was!

 

http://deadlystream....ie-robe-reskin/

 

*Edit* lol just checked it is



#9 134340Goat

134340Goat

    Jedi Master

  • Members
  • PipPipPipPipPip
  • 436 posts

Posted 05 July 2015 - 07:53 AM

I can confirm that Halo Energy Sword still works



#10 spiritofcat

spiritofcat

    Jedi Initiate

  • Members
  • Pip
  • 3 posts

Posted 05 July 2015 - 02:11 PM

Installing Party on Leviathan, I get a warning message "Warning: A file named lev_m40aa.mod already exists in the modules folder. Skipping file..."



#11 Fair Strides

Fair Strides

    Aurora Engine Operator

  • Administrators
  • 2,195 posts
  • LocationOregon, USA

Posted 05 July 2015 - 03:27 PM

Installing Party on Leviathan, I get a warning message "Warning: A file named lev_m40aa.mod already exists in the modules folder. Skipping file..."

Yes, that was expected. (I should have put that in the read-me...)

 

I shipped a non-modded (not even K1R) version of the Leviathan level, that way if you didn't have K1R, the mod could still be applied properly...

 

Hence why it's entirely separate from K1R but complements it as well.


(By the way, if you ever want to ask about one of the quotes, feel free to send me a PM)

 

My personal, made-up quote: "To know is good, but to act is better."

"Words are just words, thoughts thoughts, but actions...actions are progress." - Fair Strides

"Intelligence and respect are all it takes to get along fine. Not a bad trade off, huh?" - EwigD from GameFaqs

"And regarding butchering the language, I have been to the internet. The language is well butchered regularly." - Malkior

 

"You can either live with the lies or die with the truth. Who would rather lie to live than die for telling the truth?" - Fair Strides


#12 exocron

exocron

    Jedi Apprentice

  • Members
  • PipPip
  • 17 posts

Posted 05 July 2015 - 04:16 PM

Goodjob updating the format, extremely helpful.

 

 

Another mod that works flawlessly is "SuperSkipTaris", can be found on kotorfiles.com, here is direct link:

 

http://knightsoftheo...kip_Taris;71749


Edited by exocron, 05 July 2015 - 04:22 PM.


#13 RevanFan

RevanFan

    Jedi Apprentice

  • Members
  • PipPip
  • 56 posts

Posted 12 July 2015 - 10:49 PM

I can confirm that the following mods work with K1R.

 

 

Remove Force Speed Blur (Has to be installed before K1R to work)

 

http://forums.steamp...81bb61&t=979242

 

Remove Restrictions for Force Powers by Armor

 

http://deadlystream....wers-by-armors/

 

Sherruk Attacks with Lightsabers

 

http://knightsoftheo...ghtsabers;63418

 

K1 Force Pack

 

http://knightsoftheo...orce_Pack;97281



#14 exocron

exocron

    Jedi Apprentice

  • Members
  • PipPip
  • 17 posts

Posted 16 July 2015 - 05:32 AM

I can confirm that the following mods work with K1R.

 

 

Remove Force Speed Blur (Has to be installed before K1R to work)

 

http://forums.steamp...81bb61&t=979242

 

Remove Restrictions for Force Powers by Armor

 

http://deadlystream....wers-by-armors/

 

Sherruk Attacks with Lightsabers

 

http://knightsoftheo...ghtsabers;63418

 

K1 Force Pack

 

http://knightsoftheo...orce_Pack;97281

 

 

I think "Sherruk Attacks with Lightsabers" bugs out the wipe out all mandelorian raiders quest, when I tried to kill one group of the mandelores I couldn't speak to them, nor could I attack them. Though it could just be a incompatibility with one of the many other mods I am using. The other mods you posted are working flawlessly though, thanks for share.



#15 RevanFan

RevanFan

    Jedi Apprentice

  • Members
  • PipPip
  • 56 posts

Posted 16 July 2015 - 05:43 PM

I think "Sherruk Attacks with Lightsabers" bugs out the wipe out all mandelorian raiders quest, when I tried to kill one group of the mandelores I couldn't speak to them, nor could I attack them. Though it could just be a incompatibility with one of the many other mods I am using. The other mods you posted are working flawlessly though, thanks for share.

Actually, I think that has to do with a bug with the Iriaz. I played with the Sherruk mod and was able to attack all of the Mandalorians, unless Iriaz attacked them first. If Iriaz got to them first, they wouldn't attack me. Just leave the area and come back and they should attack.



#16 exocron

exocron

    Jedi Apprentice

  • Members
  • PipPip
  • 17 posts

Posted 17 July 2015 - 02:06 AM

Actually, I think that has to do with a bug with the Iriaz. I played with the Sherruk mod and was able to attack all of the Mandalorians, unless Iriaz attacked them first. If Iriaz got to them first, they wouldn't attack me. Just leave the area and come back and they should attack.

 

Yeh you know what, you are right, the madalorians did attack the Iriaz, and then I couldn't even attack them or they didn't even attack me. I tried leaving area, and coming back, but it didn't work. 

 

 

Another resource for compatiable mods that I just found may prove useful to some people: https://www.reddit.c..._compatibility/



#17 RevanFan

RevanFan

    Jedi Apprentice

  • Members
  • PipPip
  • 56 posts

Posted 17 July 2015 - 02:51 AM

Yeh you know what, you are right, the madalorians did attack the Iriaz, and then I couldn't even attack them or they didn't even attack me. I tried leaving area, and coming back, but it didn't work. 

 

 

Another resource for compatiable mods that I just found may prove useful to some people: https://www.reddit.c..._compatibility/

Try saving the game and loading it again. I thankfully had saved the game previously before going into the area where the glitch happened. I was just able to load that and try again.



#18 134340Goat

134340Goat

    Jedi Master

  • Members
  • PipPipPipPipPip
  • 436 posts

Posted 17 July 2015 - 07:31 PM

Heh, had some fun with this and found no problems http://knightsoftheo...trocution;78427



#19 Domino5555

Domino5555

    Jedi Knight

  • Members
  • PipPipPipPip
  • 239 posts

Posted 28 July 2015 - 06:52 PM

Anyone check Brotherhood of Shadow Solomon's Revenge for compatibility?



#20 zaneljok

zaneljok

    Jedi Initiate

  • Members
  • Pip
  • 2 posts

Posted 03 August 2015 - 08:24 PM

I just attempted a run through with the NPC overhaul. I noticed not being able to get to the Vulkar Base sublevel.  After looking at my mod list this one was the only one that alter the modules. I am attempting another run through now without it.  Thank you for making this great game absolutely fantastic.

 

My Mod list: (Warning my Override folder is very full) :smiling:

Spoiler





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users